Workflow Jobs

Update stage

Requires the JOBEDIT security role. Updates a workflow stage, including the user or group responsible for it (displayed as Responsible in the UI).

put
https://{your-bynder-domain}/api/workflow/stages/{id}

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000-000000000000

Body

application/json
deadlinestring

Date of when the stage ends. Send null to clear it.

Example:2018-09-29

descriptionstring

Description of the stage

Example:Stage Description

namestringrequired

Name of the stage

Example:Stage Example

responsibleobject

The user or group responsible for the stage (displayed as Responsible in the UI).

Show Child Parameters

Response

application/json

Successful response

stage_idstring

Example:00000000-0000-0000-0000-000000000000

statusstring

Example:Updated

put/api/workflow/stages/{id}

Body

{ "deadline": "2018-09-29", "description": "Stage Description", "name": "Stage Example", "responsible": { "id": "00000000-0000-0000-0000-000000000000", "type": "user" } }
 
application/json

Finish

Finish job

Requires the JOBAPPROVE security role.

patch
https://{your-bynder-domain}/api/workflow/jobs/{id}/finish

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000-000000000000

Body

application/json
job_idstring

Example:00000000-0000-0000-0000-000000000000

statusstring

Example:Finished

Response

application/json

Ok: Job finished successfully

job_idstring

Example:00000000-0000-0000-0000-000000000000

statusstring

Example:Finished

patch/api/workflow/jobs/{id}/finish

Body

{}
 
application/json

Retrieve stages of specific job

Requires the JOBOVERVIEW security role.

get
https://{your-bynder-domain}/api/workflow/jobs/{id}/stages

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000-000000000000

Response

200 application/json

Successful response

createdByIDstring
dateCreatedstring
deadlinestring
descriptionstring
idstring
namestring
positionnumber
responsibleobject
Show Child Parameters
statusstring

Allowed values:IdleActiveCancelledApprovedNeedsChanges

get/api/workflow/jobs/{id}/stages
 
200 application/json